Package io.vertx.jdbcclient

## Interface JDBCPool

- All Superinterfaces:
    `Pool`, `SqlClient`

      public interface JDBCPool
      extends Pool

  JDBCPool is the interface that allows using the Sql Client API with plain JDBC.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static PropertyKind<Row>` | `GENERATED_KEYS` | The property to be used to retrieve the generated keys
    `static PropertyKind<Boolean>` | `OUTPUT` | The property to be used to retrieve the output of the callable statement

  - ### Method Summary

    Static Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Pool` | `pool​(Vertx vertx, JDBCConnectOptions connectOptions, PoolOptions poolOptions)` | Create a JDBC pool which maintains its own data source.
    `static Pool` | `pool​(Vertx vertx, DataSource dataSource, PoolOptions poolOptions)` | Create a JDBC pool using a pre-initialized data source, note this data source does not need to be a pool.

    - ### Methods inherited from interface io.vertx.sqlclient.Pool

      `getConnection, preparedQuery, query, size, withConnection, withTransaction, withTransaction`

    - ### Methods inherited from interface io.vertx.sqlclient.SqlClient

      `close, preparedQuery`

- - ### Field Detail

    - #### GENERATED_KEYS

          static final PropertyKind<Row> GENERATED_KEYS

      The property to be used to retrieve the generated keys

    - #### OUTPUT

          static final PropertyKind<Boolean> OUTPUT

      The property to be used to retrieve the output of the callable statement

  - ### Method Detail

    - #### pool

          static Pool pool​(Vertx vertx,
                           JDBCConnectOptions connectOptions,
                           PoolOptions poolOptions)

      Create a JDBC pool which maintains its own data source.
      Parameters:
        `vertx` - the Vert.x instance
        `connectOptions` - the options to configure the connection
        `poolOptions` - the connection pool options
      Returns:
        the client

    - #### pool

          static Pool pool​(Vertx vertx,
                           DataSource dataSource,
                           PoolOptions poolOptions)

      Create a JDBC pool using a pre-initialized data source, note this data source does not need to be a pool.
      Parameters:
        `vertx` - the Vert.x instance
        `dataSource` - a pre-initialized data source
      Returns:
        the client
      Since:
        4.2.0